// creator  : weidu.exe (version 23100)
// argument : VVSHAD1.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~VVSHAD1~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #0 ~Global("HareisFlee","GLOBAL",1)
Global("WorkingForBodhi","GLOBAL",1)~ THEN BEGIN 0 // from:
  SAY #41077 /* ~One more of these treacherous things put to rest, though there is still you. Do you see what is in store for you, <CHARNAME>? No guild will challenge the Shadow Thieves, no matter who or what they call members!~ */
  IF ~~ THEN DO ~ActionOverride("vvshad3",Enemy())
ActionOverride("vvshad2",Enemy())
Enemy()~ EXIT
END

IF WEIGHT #2 /* Triggers after states #: 2 even though they appear after this state */
~Global("HareisFlee","GLOBAL",1)
~ THEN BEGIN 1 // from:
  SAY #41096 /* ~Remember this battle. Remember that the Shadow Thieves protect their friends, and exact painful penance from their rival guilds, no matter how strong or guarded.~ */
  IF ~~ THEN DO ~ActionOverride("vvshad3",EscapeArea())
ActionOverride("vvshad2",EscapeArea())
EscapeArea()~ EXIT
END

IF WEIGHT #1 ~Global("HareisFlee","GLOBAL",1)
Global("WorkingForAran","GLOBAL",1)~ THEN BEGIN 2 // from:
  SAY #41097 /* ~This is the nature of the enemy, <CHARNAME>. This is the rival guild that has been stealing away our membership. Show them no mercy when the chance is yours.~ */
  IF ~~ THEN DO ~ActionOverride("vvshad3",EscapeArea())
ActionOverride("vvshad2",EscapeArea())
EscapeArea()~ EXIT
END
